<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Mitarbeiter\KursUebersicht\Detailsreiter\Teilnehmer\HandleBarzahlung;

class BarzahlungDialogPresenter extends \Kufer\KuferTools\Basis\Presenter\Presenter
{
  public function present()
  {
    
    $dbwBelegungen = new \DBWorkBelegung(1, true);
    $emptyBelegung = $dbwBelegungen->getNewObject();
    $belegungen = \array_merge(array($emptyBelegung), $this->useCaseResponse->belegungen);

    return $this->getAnderenContentAlsBody($belegungen);
  }

  protected function isDatamodulAryEmpty($datamodulArray)
  {
    
    return count($datamodulArray) <= 1;
  }

  protected function getAnderenContent($datamodul, $key)
  {
    $viewModel = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Teilnehmer\TeilnehmerViewModel();
    $viewModel->columns = $this->useCaseResponse->columns;
    $viewModel->belegung = $datamodul;
    $viewModel->index = $key;
    
    
    $viewModel->showCheckbox = false;
    $teilnehmerView = new \Kufer\KuferTools\Basis\Kursdetails\DetailsReiter\Teilnehmer\TeilnehmerView($viewModel);

    return $teilnehmerView->show();
  }

  protected function getView()
  {
    return new BarzahlungDialogView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new BarzahlungDialogViewModel();
    $viewModel->kurs = $this->useCaseResponse->kurs;
    $viewModel->kurs->toolId = $this->useCaseResponse->toolId;

    return $viewModel;
  }
}